Name:           atanks
Version:        6.6
Release:        %mkrel 2
Summary:        Scorched Earth game clone
License:        GPLv2+
Group:          Games/Arcade
Url:            https://atanks.sourceforge.net/
Source0:        https://downloads.sourceforge.net/atanks/atanks-%{version}.tar.gz

BuildRequires:  allegro4-devel
BuildRequires:  icoutils

%description
This is Atomic Tanks, a multi-player game similar to Scorched Earth
which involves firing enormous weapons to try and destroy the other
tanks.

%prep
%setup -q

%build
%make_build \
	CC="%{__cxx}" \
	CXXFLAGS="%{optflags}" \
	LFLAGS="%{ldflags} -L%{_libdir} -lX11 -lXext -lXcursor -lXpm -lxcb -lXrender -lXfixes -lXau -lXdmcp" \
	INSTALLDIR=%{_gamesdatadir}/%{name}

%install
%make_install \
	BINDIR=%{_gamesbindir} \
	INSTALLDIR=%{_gamesdatadir}/%{name}

%{__perl} -pi -e "s/\r$//g" %{buildroot}%{_gamesdatadir}/%{name}/tanks.txt

#icons
icotool -x %{name}.ico
for i in 16 32 48; do
	install -Dm644 %{name}_?_${i}x${i}x32.png %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/%{name}.png
done

%files
%doc Changelog README TODO
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/io.sourceforge.%{name}.metainfo.xml


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 6.6-2.mga10
+ Revision: 2217254
- Mageia 10 Mass Rebuild

* Mon Jan 09 2023 daviddavid <daviddavid> 6.6-1.mga9
+ Revision: 1931867
- new version: 6.6

* Thu Mar 31 2022 umeabot <umeabot> 6.5-7.mga9
+ Revision: 1835995
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 6.5-6.mga8
+ Revision: 1519203
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 6.5-5.mga7
+ Revision: 1297315
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Mon Sep 11 2017 cjw <cjw> 6.5-3.mga7
+ Revision: 1152851
- fix passing of optflags to make

* Sun Mar 12 2017 akien <akien> 6.5-2.mga6
+ Revision: 1092239
- Rebuild against allegro4

* Sat Nov 12 2016 akien <akien> 6.5-1.mga6
+ Revision: 1066662
- Version 6.5

* Sat Jan 09 2016 zezinho <zezinho> 6.4-1.mga6
+ Revision: 920714
- new version 6.4

* Wed Oct 21 2015 danf <danf> 6.3-2.mga6
+ Revision: 893598
- Removed the old patch entirely so it doesn't get spuriously applied

* Thu Sep 03 2015 zezinho <zezinho> 6.3-1.mga6
+ Revision: 872591
- new version 6.3

* Wed Oct 15 2014 umeabot <umeabot> 6.0-3.mga5
+ Revision: 745929
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.0-2.mga5
+ Revision: 678016
- Mageia 5 Mass Rebuild

* Tue Jul 08 2014 zezinho <zezinho> 6.0-1.mga5
+ Revision: 650724
- version 6.0

* Wed May 21 2014 zezinho <zezinho> 5.9-1.mga5
+ Revision: 624650
- new version 5.9

* Sat Feb 08 2014 dams <dams> 5.8-1.mga5
+ Revision: 585805
- new version 5.8

* Fri Oct 18 2013 umeabot <umeabot> 5.7-3.mga4
+ Revision: 502908
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 5.7-2.mga3
+ Revision: 346522
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 zezinho <zezinho> 5.7-1.mga3
+ Revision: 311111
- new version

* Sat Jun 09 2012 zezinho <zezinho> 5.5-1.mga3
+ Revision: 258931
- new version

* Tue May 29 2012 zezinho <zezinho> 5.4-1.mga3
+ Revision: 249474
- rediffed patch
- rediffed patch and linkage flags in spec
- new version

* Sat Feb 25 2012 zezinho <zezinho> 5.3-1.mga2
+ Revision: 214213
- new version

* Tue Oct 11 2011 zezinho <zezinho> 5.2-1.mga2
+ Revision: 153991
- new version 5.2

* Sat Jul 02 2011 wally <wally> 5.1-1.mga2
+ Revision: 117356
- new version 5.1
- redo patches
- use LDFLAGS
- create icons from upstream provided .ico
- clean .spec a bit

* Sun May 08 2011 nanardon <nanardon> 4.8-1.mga1
+ Revision: 96092
- imported package atanks


* Tue Mar 08 2011 Funda Wang <fwang@mandriva.org> 4.8-1mdv2011.0
+ Revision: 642799
- fix linkage

  + Zombie Ryushu <ryushu@mandriva.org>
    - fix pthread
    - Update to 4.8 and use xz

* Mon Sep 06 2010 Götz Waschk <waschk@mandriva.org> 4.7-1mdv2011.0
+ Revision: 576210
- update to new version 4.7

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 4.6-1mdv2011.0
+ Revision: 550277
- new version
- fix build

* Mon Apr 12 2010 Götz Waschk <waschk@mandriva.org> 4.5-1mdv2010.1
+ Revision: 533679
- new version
- drop patch 0
- rediff patch 1
- update file list

* Fri Jan 15 2010 Götz Waschk <waschk@mandriva.org> 4.3-1mdv2010.1
+ Revision: 491636
- new version
- rediff patches

* Thu Dec 31 2009 Emmanuel Andry <eandry@mandriva.org> 4.1-2mdv2010.1
+ Revision: 484585
- rebuild for new allegro

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 4.1-1mdv2010.1
+ Revision: 460838
- new version
- rediff patches
- fix build

* Tue Sep 01 2009 Götz Waschk <waschk@mandriva.org> 3.9-1mdv2010.0
+ Revision: 423774
- new version
- fix installation

* Sat Jul 25 2009 Frederik Himpe <fhimpe@mandriva.org> 3.8-1mdv2010.0
+ Revision: 399600
- Update to new version 3.8
- Update format string patch

* Thu Jul 09 2009 Götz Waschk <waschk@mandriva.org> 3.7-1mdv2010.0
+ Revision: 393964
- new version
- fix format string

* Fri Jun 05 2009 Frederik Himpe <fhimpe@mandriva.org> 3.6-1mdv2010.0
+ Revision: 383127
- Update to new version 3.6
- Remove string format patch: not needed anymore

* Sun Mar 29 2009 Michael Scherer <misc@mandriva.org> 3.2-2mdv2009.1
+ Revision: 362051
- fix format string error
- no longer define Werror_cflags to null, it compile fine without it
- do not add -c parameters in the menu file, this prevent the game from
  being run, as found by Samuel Verschelde ( bug #49248 )

* Sun Jan 04 2009 Olivier Thauvin <nanardon@mandriva.org> 3.2-1mdv2009.1
+ Revision: 324041
- 3.2

* Mon Aug 11 2008 David Walluck <walluck@mandriva.org> 3.1-1mdv2009.0
+ Revision: 270629
- 3.1

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 2.9-2mdv2009.0
+ Revision: 266219
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 02 2008 Funda Wang <fwang@mandriva.org> 2.9-1mdv2009.0
+ Revision: 200005
- New version 2.9

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 David Walluck <walluck@mandriva.org> 2.7-1mdv2008.1
+ Revision: 132125
- 2.7

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 27 2007 Funda Wang <fwang@mandriva.org> 2.5-2mdv2008.0
+ Revision: 72154
- fix desktop entry comment

* Thu Aug 16 2007 David Walluck <walluck@mandriva.org> 2.5-1mdv2008.0
+ Revision: 64130
- 2.5


* Sun Mar 11 2007 David Walluck <walluck@mandriva.org> 2.2-1mdv2007.1
+ Revision: 141212
- 2.2
  really set OFLAGS
  macros

* Wed Feb 14 2007 Lenny Cartier <lenny@mandriva.com> 2.1-1mdv2007.1
+ Revision: 120733
- Update to 2.1

* Wed Jan 10 2007 Lenny Cartier <lenny@mandriva.com> 2.0-1mdv2007.1
+ Revision: 107125
- Update to 2.0

* Sat Aug 05 2006 Olivier Thauvin <nanardon@mandriva.org> 1.5a-1mdv2007.0
+ Revision: 52854
- 1.5a
- Import atanks

* Tue Aug 01 2006 Lenny Cartier <lenny@mandriva.com> 1.1.0-6mdv2007.0
- xdg

* Tue Jul 26 2005 Olivier Blin <oblin@mandriva.com> 1.1.0-5mdk
- fix BuildRequires
- rebuild with allegro-testing-4.2.0

* Sun Jul 24 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.1.0-4mdk
- Rebuild

* Sat Apr 16 2005 Guillaume Bedot <littletux@zarb.org> 1.1.0-3mdk
- make it easy to rebuild with allegro or allegro-testing.
- built with allegro-testing.

* Wed Jun 09 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.0-2mdk
- update description
- patch for new g++

